import request from '@/plugin/axios'
//区域管理

/* //渠道方树查询
export function treeNode (data) {
  return request({
    url: '/district/getDistrictTree',
    method: 'post',
    data
  })
} */
//查询列表
export function getPageList (data) {
  return request({
    url: '/equipment/getEquipment',
    method: 'post',
    data
  })
}

//新增
export function saveOrUpdataList (data) {
  return request({
    url: '/equipment/insertUpdateEquipment',
    method: 'post',
    data
  })
}

//编辑回显
export function getList (data) {
  return request({
    url: '/equipment/getUpdate',
    method: 'post',
    data
  })
}

//删除
export function deleteList (data) {
  return request({
    url: '/equipment/deleteEquipment',
    method: 'post',
    data
  })
}
//设备联机查询
export function getOnLineList (data) {
  return request({
    url: '/equipment/getOnLineEquipment',
    method: 'post',
    data
  })
}
//设备报文查询
export function getMessageList (data) {
  return request({
    url: '/equipment/getEquipmentMessage',
    method: 'post',
    data
  })
}

 